ghpythonlib.components.TwistedBox returen Rhino.Collections.Point3dList

ghpythonlib.components.TwistedBox returns Rhino.Collections.Point3dList instead of [Twisted Box] - Twisted box connecting all corners. Can someone explain what is wrong here and how at the end to get the Twisted Box?

list = [(0,0,0),(1,0,0),(1,1,0),(0,1,0),(0,0,1),(1,0,1),(1,1,1),(0,1,1)]
list = [rs.coerce3dpoint(rs.AddPoint(i)) for i in list]

Bo = ghc.TwistedBox(list[0],list[1],list[2],list[3],list[4],list[5],list[6],list[7])
print Bo
1 Like

@Mahdiyar It is to help but seems for the Mac (V7) version I don’t have that XformComponents.gha
But in version 5 it was